unit UFormNew;

{$mode delphi}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  UGame;

type

  { TFormNew }

  TFormNew = class(TForm)
    ButtonCancel: TButton;
    ButtonOk: TButton;
    ComboBoxSize: TComboBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
  private

  public
    procedure Load(Game: TGame);
    procedure Save(Game: TGame);
  end;

var
  FormNew: TFormNew;

implementation

{$R *.lfm}

uses
  UCore;

{ TFormNew }

procedure TFormNew.FormCreate(Sender: TObject);
begin
  Core.Translator1.TranslateComponentRecursive(Self);
end;

procedure TFormNew.Load(Game: TGame);
begin
  ComboBoxSize.ItemIndex := Game.Board.Size.X - 2;
end;

procedure TFormNew.Save(Game: TGame);
begin
  Game.Board.Size := Point(2 + ComboBoxSize.ItemIndex, 2 + ComboBoxSize.ItemIndex);
end;

end.

